<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Sound.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d13/_sound_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">Sound.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d1/d13/_sound_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6b/class_sound_params.html">SoundParams</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html">AbstractWave</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a31dd9d80d2b7ac9cd189b4a00351ac05"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a31dd9d80d2b7ac9cd189b4a00351ac05">WaveKind</a> </td></tr>
<tr class="separator:a31dd9d80d2b7ac9cd189b4a00351ac05"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a49556304352af6c2cb1c651fbf0e7399"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d1/d13/_sound_8c.html#a31dd9d80d2b7ac9cd189b4a00351ac05">WaveKind</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a49556304352af6c2cb1c651fbf0e7399">AbstractSoundScene</a> ()</td></tr>
<tr class="separator:a49556304352af6c2cb1c651fbf0e7399"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4b4536498d48a9b389aea29a22a6de5"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#ab4b4536498d48a9b389aea29a22a6de5">~AbstractSoundScene</a> ()</td></tr>
<tr class="separator:ab4b4536498d48a9b389aea29a22a6de5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ff5cdb7c0d9c592510160880efab780"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/d52/class_abstract_wave.html">AbstractWave</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a2ff5cdb7c0d9c592510160880efab780">Play2D</a> (<a class="el" href="../../d1/d13/_sound_8c.html#a88b8e74ab7a8a3d20a2f3f55948b0ed6">SoundObject</a> soundObject, <a class="el" href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a> soundBuilder)</td></tr>
<tr class="separator:a2ff5cdb7c0d9c592510160880efab780"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb688ba5faf07148f058fe5bfa55068f"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/d52/class_abstract_wave.html">AbstractWave</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#abb688ba5faf07148f058fe5bfa55068f">Play3D</a> (<a class="el" href="../../d1/d13/_sound_8c.html#a88b8e74ab7a8a3d20a2f3f55948b0ed6">SoundObject</a> soundObject, <a class="el" href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a> soundBuilder)</td></tr>
<tr class="separator:abb688ba5faf07148f058fe5bfa55068f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83afcb5fd2bf54507978268390aa6d33"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d1/d13/_sound_8c.html#a88b8e74ab7a8a3d20a2f3f55948b0ed6">SoundObject</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a83afcb5fd2bf54507978268390aa6d33">BuildSoundObject</a> (<a class="el" href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a> soundObjectbuilder)</td></tr>
<tr class="separator:a83afcb5fd2bf54507978268390aa6d33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb16d3c9ce6cb06666e4530668b91e56"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#aeb16d3c9ce6cb06666e4530668b91e56">GetRadioVolume</a> ()</td></tr>
<tr class="separator:aeb16d3c9ce6cb06666e4530668b91e56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad822b74728c20223a48fc8b718f9f49d"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#ad822b74728c20223a48fc8b718f9f49d">SetRadioVolume</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> vol, <a class="el" href="../../d4/dc3/classfloat.html">float</a> time)</td></tr>
<tr class="separator:ad822b74728c20223a48fc8b718f9f49d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74b181361565fadbc741767c6b098528"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a74b181361565fadbc741767c6b098528">GetSpeechExVolume</a> ()</td></tr>
<tr class="separator:a74b181361565fadbc741767c6b098528"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ebacba81b3472d3cb5d628b3d73a7b1"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a7ebacba81b3472d3cb5d628b3d73a7b1">SetSpeechExVolume</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> vol, <a class="el" href="../../d4/dc3/classfloat.html">float</a> time)</td></tr>
<tr class="separator:a7ebacba81b3472d3cb5d628b3d73a7b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76e61776bbf24bff68ea3be824eb98aa"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a76e61776bbf24bff68ea3be824eb98aa">GetMusicVolume</a> ()</td></tr>
<tr class="separator:a76e61776bbf24bff68ea3be824eb98aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6e9d2cdb87180a0b4fda0d193e4f89c"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#ad6e9d2cdb87180a0b4fda0d193e4f89c">SetMusicVolume</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> vol, <a class="el" href="../../d4/dc3/classfloat.html">float</a> time)</td></tr>
<tr class="separator:ad6e9d2cdb87180a0b4fda0d193e4f89c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bc477fd2ce46423d0134915874870c6"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a7bc477fd2ce46423d0134915874870c6">GetSoundVolume</a> ()</td></tr>
<tr class="separator:a7bc477fd2ce46423d0134915874870c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ebdfc5f6be147e721df5addab7832f6"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a6ebdfc5f6be147e721df5addab7832f6">SetSoundVolume</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> vol, <a class="el" href="../../d4/dc3/classfloat.html">float</a> time)</td></tr>
<tr class="separator:a6ebdfc5f6be147e721df5addab7832f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dc75f85023a656395e0f4eaca377b78"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a7dc75f85023a656395e0f4eaca377b78">GetVOIPVolume</a> ()</td></tr>
<tr class="separator:a7dc75f85023a656395e0f4eaca377b78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7fce2e2ba51bab4e570abc208f8a478"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#ad7fce2e2ba51bab4e570abc208f8a478">SetVOIPVolume</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> vol, <a class="el" href="../../d4/dc3/classfloat.html">float</a> time)</td></tr>
<tr class="separator:ad7fce2e2ba51bab4e570abc208f8a478"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4abfc7b25eb697970a5daab3fd74ee61"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a4abfc7b25eb697970a5daab3fd74ee61">GetSilenceThreshold</a> ()</td></tr>
<tr class="separator:a4abfc7b25eb697970a5daab3fd74ee61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e144b8ee5730959d6c20068dd395950"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a3e144b8ee5730959d6c20068dd395950">GetAudioLevel</a> ()</td></tr>
<tr class="separator:a3e144b8ee5730959d6c20068dd395950"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88b8e74ab7a8a3d20a2f3f55948b0ed6"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a88b8e74ab7a8a3d20a2f3f55948b0ed6">SoundObject</a> (<a class="el" href="../../d8/d6b/class_sound_params.html">SoundParams</a> soundParams)</td></tr>
<tr class="separator:a88b8e74ab7a8a3d20a2f3f55948b0ed6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea50980509b985718972ccdc0a81852f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#aea50980509b985718972ccdc0a81852f">SoundObjectBuilder</a> (<a class="el" href="../../d8/d6b/class_sound_params.html">SoundParams</a> soundParams)</td></tr>
<tr class="separator:aea50980509b985718972ccdc0a81852f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6aaefd506c15f4f6bc84fc7eacdf03bb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d1/d13/_sound_8c.html#a88b8e74ab7a8a3d20a2f3f55948b0ed6">SoundObject</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a6aaefd506c15f4f6bc84fc7eacdf03bb">BuildSoundObject</a> ()</td></tr>
<tr class="separator:a6aaefd506c15f4f6bc84fc7eacdf03bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38455dd8685ec5310cd308700ece8164"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a38455dd8685ec5310cd308700ece8164">Initialize</a> (<a class="el" href="../../d8/d6b/class_sound_params.html">SoundParams</a> soundParams)</td></tr>
<tr class="separator:a38455dd8685ec5310cd308700ece8164"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8021ebaf3ca4edc641ca26e9469aec4a"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a8021ebaf3ca4edc641ca26e9469aec4a">UpdateEnvSoundControllers</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> position)</td></tr>
<tr class="separator:a8021ebaf3ca4edc641ca26e9469aec4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab97a0238e3d6aca11609761213d201ac"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#ab97a0238e3d6aca11609761213d201ac">SetVariable</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> value)</td></tr>
<tr class="separator:ab97a0238e3d6aca11609761213d201ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3aa6cafceab9d573982aa9db5a5d6e34"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#ga3aa6cafceab9d573982aa9db5a5d6e34">SetPosition</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> position)</td></tr>
<tr class="memdesc:ga3aa6cafceab9d573982aa9db5a5d6e34"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the world position of the Effect.  <a href="../../d6/dae/group___debug_shape.html#ga3aa6cafceab9d573982aa9db5a5d6e34">More...</a><br /></td></tr>
<tr class="separator:ga3aa6cafceab9d573982aa9db5a5d6e34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42c3d3a01b261e10d8dd57ed3b5bbb3d"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a42c3d3a01b261e10d8dd57ed3b5bbb3d">GetPosition</a> ()</td></tr>
<tr class="memdesc:a42c3d3a01b261e10d8dd57ed3b5bbb3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the world position of the Effect.  <a href="../../d1/d13/_sound_8c.html#a42c3d3a01b261e10d8dd57ed3b5bbb3d">More...</a><br /></td></tr>
<tr class="separator:a42c3d3a01b261e10d8dd57ed3b5bbb3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbf9b2265798347111718e2fd16c5dad"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#adbf9b2265798347111718e2fd16c5dad">SetOcclusionObstruction</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> occlusion, <a class="el" href="../../d4/dc3/classfloat.html">float</a> obstruction)</td></tr>
<tr class="separator:adbf9b2265798347111718e2fd16c5dad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46d88285c7916a70ae205c016c8ad2fa"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a46d88285c7916a70ae205c016c8ad2fa">SetKind</a> (<a class="el" href="../../d1/d13/_sound_8c.html#a31dd9d80d2b7ac9cd189b4a00351ac05">WaveKind</a> kind)</td></tr>
<tr class="separator:a46d88285c7916a70ae205c016c8ad2fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a5a7b41ec1c7cf94406cb5b9df10c4897"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a5a7b41ec1c7cf94406cb5b9df10c4897">WAVEEFFECT</a></td></tr>
<tr class="separator:a5a7b41ec1c7cf94406cb5b9df10c4897"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9ebea3e97054f1727e61f76b2d11af5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#ab9ebea3e97054f1727e61f76b2d11af5">WAVEEFFECTEX</a></td></tr>
<tr class="separator:ab9ebea3e97054f1727e61f76b2d11af5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1e693d8514c56fa1142aa2efb3d4361"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#ae1e693d8514c56fa1142aa2efb3d4361">WAVESPEECH</a></td></tr>
<tr class="separator:ae1e693d8514c56fa1142aa2efb3d4361"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae872bf8eb0d09d21e068fd7552cc4702"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#ae872bf8eb0d09d21e068fd7552cc4702">WAVEMUSIC</a></td></tr>
<tr class="separator:ae872bf8eb0d09d21e068fd7552cc4702"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfa8baee3541dfb527e26bd183e95ea6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#acfa8baee3541dfb527e26bd183e95ea6">WAVESPEECHEX</a></td></tr>
<tr class="separator:acfa8baee3541dfb527e26bd183e95ea6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2908e4ce19860621afac35b8d25a99aa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a2908e4ce19860621afac35b8d25a99aa">WAVEENVIRONMENT</a></td></tr>
<tr class="separator:a2908e4ce19860621afac35b8d25a99aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a094a43660b3c98486c9173c3d078e55a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a094a43660b3c98486c9173c3d078e55a">WAVEENVIRONMENTEX</a></td></tr>
<tr class="separator:a094a43660b3c98486c9173c3d078e55a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a0052369c6e9a31cd9bffde337e5d5e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a5a0052369c6e9a31cd9bffde337e5d5e">WAVEWEAPONS</a></td></tr>
<tr class="separator:a5a0052369c6e9a31cd9bffde337e5d5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a393c9d184c3da1bfa48c9403f274911a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a393c9d184c3da1bfa48c9403f274911a">WAVEWEAPONSEX</a></td></tr>
<tr class="separator:a393c9d184c3da1bfa48c9403f274911a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac449e2bfb6304706d4ad842b628a7689"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#ac449e2bfb6304706d4ad842b628a7689">WAVEATTALWAYS</a></td></tr>
<tr class="separator:ac449e2bfb6304706d4ad842b628a7689"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e1e6702d8a91f364f9ad8f8b84890f9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a9e1e6702d8a91f364f9ad8f8b84890f9">WAVEUI</a></td></tr>
<tr class="separator:a9e1e6702d8a91f364f9ad8f8b84890f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeee9bf19c3275e7ab5ceab2a2fa50225"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d8/d6b/class_sound_params.html">SoundParams</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#aeee9bf19c3275e7ab5ceab2a2fa50225">Event_OnSoundWaveStarted</a> = new <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>()</td></tr>
<tr class="separator:aeee9bf19c3275e7ab5ceab2a2fa50225"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43f209bd57bc5603be646d5fa2b3485e"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a43f209bd57bc5603be646d5fa2b3485e">Event_OnSoundWaveStopped</a> = new <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>()</td></tr>
<tr class="separator:a43f209bd57bc5603be646d5fa2b3485e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3aceb4902e02d03efee7131f918fe5ba"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a3aceb4902e02d03efee7131f918fe5ba">Event_OnSoundWaveLoaded</a> = new <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>()</td></tr>
<tr class="separator:a3aceb4902e02d03efee7131f918fe5ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9986b102e97ef33c1a0b233f39907595"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a9986b102e97ef33c1a0b233f39907595">Event_OnSoundWaveHeaderLoaded</a> = new <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>()</td></tr>
<tr class="separator:a9986b102e97ef33c1a0b233f39907595"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30792d0380a5b20f9f4a04d5c92a9e89"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d13/_sound_8c.html#a30792d0380a5b20f9f4a04d5c92a9e89">Event_OnSoundWaveEnded</a> = new <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>()</td></tr>
<tr class="separator:a30792d0380a5b20f9f4a04d5c92a9e89"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a31dd9d80d2b7ac9cd189b4a00351ac05" name="a31dd9d80d2b7ac9cd189b4a00351ac05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31dd9d80d2b7ac9cd189b4a00351ac05">&#9670;&#160;</a></span>WaveKind</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d1/d13/_sound_8c.html#a31dd9d80d2b7ac9cd189b4a00351ac05">WaveKind</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00001">1</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a49556304352af6c2cb1c651fbf0e7399" name="a49556304352af6c2cb1c651fbf0e7399"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49556304352af6c2cb1c651fbf0e7399">&#9670;&#160;</a></span>AbstractSoundScene()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d1/d13/_sound_8c.html#a31dd9d80d2b7ac9cd189b4a00351ac05">WaveKind</a> AbstractSoundScene </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00001">1</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="a6aaefd506c15f4f6bc84fc7eacdf03bb" name="a6aaefd506c15f4f6bc84fc7eacdf03bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6aaefd506c15f4f6bc84fc7eacdf03bb">&#9670;&#160;</a></span>BuildSoundObject() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d1/d13/_sound_8c.html#a88b8e74ab7a8a3d20a2f3f55948b0ed6">SoundObject</a> SoundObject::BuildSoundObject </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00002">2</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="a83afcb5fd2bf54507978268390aa6d33" name="a83afcb5fd2bf54507978268390aa6d33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83afcb5fd2bf54507978268390aa6d33">&#9670;&#160;</a></span>BuildSoundObject() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d1/d13/_sound_8c.html#a88b8e74ab7a8a3d20a2f3f55948b0ed6">SoundObject</a> BuildSoundObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a>&#160;</td>
          <td class="paramname"><em>soundObjectbuilder</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3e144b8ee5730959d6c20068dd395950" name="a3e144b8ee5730959d6c20068dd395950"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e144b8ee5730959d6c20068dd395950">&#9670;&#160;</a></span>GetAudioLevel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> GetAudioLevel </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a76e61776bbf24bff68ea3be824eb98aa" name="a76e61776bbf24bff68ea3be824eb98aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76e61776bbf24bff68ea3be824eb98aa">&#9670;&#160;</a></span>GetMusicVolume()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> GetMusicVolume </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a42c3d3a01b261e10d8dd57ed3b5bbb3d" name="a42c3d3a01b261e10d8dd57ed3b5bbb3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42c3d3a01b261e10d8dd57ed3b5bbb3d">&#9670;&#160;</a></span>GetPosition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a> GetPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the world position of the Effect. </p>
<p >Retrieve position.</p>
<dl class="section warning"><dt>Warning</dt><dd>Only gets the cached variable, for immediate effect use GetCurrent variant </dd></dl>
<dl class="section return"><dt>Returns</dt><dd><code>vector</code> The world position of the Effect</dd></dl>
<p>Get the world position of the Effect.</p>
<p >Retrieve position.</p>
<dl class="section warning"><dt>Warning</dt><dd>Only gets the cached variable, for immediate effect use GetCurrent variant </dd></dl>
<dl class="section return"><dt>Returns</dt><dd><code>vector</code> The world position of the Effect </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/d2d/_effect_8c_source.html#l00437">437</a> of file <a class="el" href="../../d5/d2d/_effect_8c_source.html">Effect.c</a>.</p>

</div>
</div>
<a id="aeb16d3c9ce6cb06666e4530668b91e56" name="aeb16d3c9ce6cb06666e4530668b91e56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb16d3c9ce6cb06666e4530668b91e56">&#9670;&#160;</a></span>GetRadioVolume()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> GetRadioVolume </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4abfc7b25eb697970a5daab3fd74ee61" name="a4abfc7b25eb697970a5daab3fd74ee61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4abfc7b25eb697970a5daab3fd74ee61">&#9670;&#160;</a></span>GetSilenceThreshold()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> GetSilenceThreshold </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7bc477fd2ce46423d0134915874870c6" name="a7bc477fd2ce46423d0134915874870c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7bc477fd2ce46423d0134915874870c6">&#9670;&#160;</a></span>GetSoundVolume()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> GetSoundVolume </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a74b181361565fadbc741767c6b098528" name="a74b181361565fadbc741767c6b098528"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74b181361565fadbc741767c6b098528">&#9670;&#160;</a></span>GetSpeechExVolume()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> GetSpeechExVolume </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7dc75f85023a656395e0f4eaca377b78" name="a7dc75f85023a656395e0f4eaca377b78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7dc75f85023a656395e0f4eaca377b78">&#9670;&#160;</a></span>GetVOIPVolume()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> GetVOIPVolume </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a38455dd8685ec5310cd308700ece8164" name="a38455dd8685ec5310cd308700ece8164"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38455dd8685ec5310cd308700ece8164">&#9670;&#160;</a></span>Initialize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Initialize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d6b/class_sound_params.html">SoundParams</a>&#160;</td>
          <td class="paramname"><em>soundParams</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2ff5cdb7c0d9c592510160880efab780" name="a2ff5cdb7c0d9c592510160880efab780"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ff5cdb7c0d9c592510160880efab780">&#9670;&#160;</a></span>Play2D()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/d52/class_abstract_wave.html">AbstractWave</a> Play2D </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d1/d13/_sound_8c.html#a88b8e74ab7a8a3d20a2f3f55948b0ed6">SoundObject</a>&#160;</td>
          <td class="paramname"><em>soundObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a>&#160;</td>
          <td class="paramname"><em>soundBuilder</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abb688ba5faf07148f058fe5bfa55068f" name="abb688ba5faf07148f058fe5bfa55068f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb688ba5faf07148f058fe5bfa55068f">&#9670;&#160;</a></span>Play3D()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/d52/class_abstract_wave.html">AbstractWave</a> Play3D </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d1/d13/_sound_8c.html#a88b8e74ab7a8a3d20a2f3f55948b0ed6">SoundObject</a>&#160;</td>
          <td class="paramname"><em>soundObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a>&#160;</td>
          <td class="paramname"><em>soundBuilder</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a46d88285c7916a70ae205c016c8ad2fa" name="a46d88285c7916a70ae205c016c8ad2fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46d88285c7916a70ae205c016c8ad2fa">&#9670;&#160;</a></span>SetKind()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetKind </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d1/d13/_sound_8c.html#a31dd9d80d2b7ac9cd189b4a00351ac05">WaveKind</a>&#160;</td>
          <td class="paramname"><em>kind</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad6e9d2cdb87180a0b4fda0d193e4f89c" name="ad6e9d2cdb87180a0b4fda0d193e4f89c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6e9d2cdb87180a0b4fda0d193e4f89c">&#9670;&#160;</a></span>SetMusicVolume()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetMusicVolume </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>vol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adbf9b2265798347111718e2fd16c5dad" name="adbf9b2265798347111718e2fd16c5dad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbf9b2265798347111718e2fd16c5dad">&#9670;&#160;</a></span>SetOcclusionObstruction()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetOcclusionObstruction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>occlusion</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>obstruction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad822b74728c20223a48fc8b718f9f49d" name="ad822b74728c20223a48fc8b718f9f49d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad822b74728c20223a48fc8b718f9f49d">&#9670;&#160;</a></span>SetRadioVolume()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetRadioVolume </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>vol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6ebdfc5f6be147e721df5addab7832f6" name="a6ebdfc5f6be147e721df5addab7832f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ebdfc5f6be147e721df5addab7832f6">&#9670;&#160;</a></span>SetSoundVolume()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetSoundVolume </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>vol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7ebacba81b3472d3cb5d628b3d73a7b1" name="a7ebacba81b3472d3cb5d628b3d73a7b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ebacba81b3472d3cb5d628b3d73a7b1">&#9670;&#160;</a></span>SetSpeechExVolume()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetSpeechExVolume </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>vol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab97a0238e3d6aca11609761213d201ac" name="ab97a0238e3d6aca11609761213d201ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab97a0238e3d6aca11609761213d201ac">&#9670;&#160;</a></span>SetVariable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SoundObject::SetVariable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad7fce2e2ba51bab4e570abc208f8a478" name="ad7fce2e2ba51bab4e570abc208f8a478"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7fce2e2ba51bab4e570abc208f8a478">&#9670;&#160;</a></span>SetVOIPVolume()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetVOIPVolume </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>vol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a88b8e74ab7a8a3d20a2f3f55948b0ed6" name="a88b8e74ab7a8a3d20a2f3f55948b0ed6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88b8e74ab7a8a3d20a2f3f55948b0ed6">&#9670;&#160;</a></span>SoundObject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a> SoundObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d6b/class_sound_params.html">SoundParams</a>&#160;</td>
          <td class="paramname"><em>soundParams</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aea50980509b985718972ccdc0a81852f" name="aea50980509b985718972ccdc0a81852f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea50980509b985718972ccdc0a81852f">&#9670;&#160;</a></span>SoundObjectBuilder()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SoundObject::SoundObjectBuilder </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d6b/class_sound_params.html">SoundParams</a>&#160;</td>
          <td class="paramname"><em>soundParams</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8021ebaf3ca4edc641ca26e9469aec4a" name="a8021ebaf3ca4edc641ca26e9469aec4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8021ebaf3ca4edc641ca26e9469aec4a">&#9670;&#160;</a></span>UpdateEnvSoundControllers()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SoundObject::UpdateEnvSoundControllers </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>position</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab4b4536498d48a9b389aea29a22a6de5" name="ab4b4536498d48a9b389aea29a22a6de5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4b4536498d48a9b389aea29a22a6de5">&#9670;&#160;</a></span>~AbstractSoundScene()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void ~<a class="el" href="../../d1/d13/_sound_8c.html#a49556304352af6c2cb1c651fbf0e7399">AbstractSoundScene</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00019">19</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a30792d0380a5b20f9f4a04d5c92a9e89" name="a30792d0380a5b20f9f4a04d5c92a9e89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30792d0380a5b20f9f4a04d5c92a9e89">&#9670;&#160;</a></span>Event_OnSoundWaveEnded</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a> Event_OnSoundWaveEnded = new <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>()</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00087">87</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="a9986b102e97ef33c1a0b233f39907595" name="a9986b102e97ef33c1a0b233f39907595"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9986b102e97ef33c1a0b233f39907595">&#9670;&#160;</a></span>Event_OnSoundWaveHeaderLoaded</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a> Event_OnSoundWaveHeaderLoaded = new <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>()</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00086">86</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="a3aceb4902e02d03efee7131f918fe5ba" name="a3aceb4902e02d03efee7131f918fe5ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3aceb4902e02d03efee7131f918fe5ba">&#9670;&#160;</a></span>Event_OnSoundWaveLoaded</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a> Event_OnSoundWaveLoaded = new <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>()</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00085">85</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="aeee9bf19c3275e7ab5ceab2a2fa50225" name="aeee9bf19c3275e7ab5ceab2a2fa50225"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeee9bf19c3275e7ab5ceab2a2fa50225">&#9670;&#160;</a></span>Event_OnSoundWaveStarted</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d8/d6b/class_sound_params.html">SoundParams</a> Event_OnSoundWaveStarted = new <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a43f209bd57bc5603be646d5fa2b3485e" name="a43f209bd57bc5603be646d5fa2b3485e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43f209bd57bc5603be646d5fa2b3485e">&#9670;&#160;</a></span>Event_OnSoundWaveStopped</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a> Event_OnSoundWaveStopped = new <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>()</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00084">84</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="ac449e2bfb6304706d4ad842b628a7689" name="ac449e2bfb6304706d4ad842b628a7689"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac449e2bfb6304706d4ad842b628a7689">&#9670;&#160;</a></span>WAVEATTALWAYS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">WAVEATTALWAYS</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00028">28</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="a5a7b41ec1c7cf94406cb5b9df10c4897" name="a5a7b41ec1c7cf94406cb5b9df10c4897"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a7b41ec1c7cf94406cb5b9df10c4897">&#9670;&#160;</a></span>WAVEEFFECT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">WAVEEFFECT</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00019">19</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="ab9ebea3e97054f1727e61f76b2d11af5" name="ab9ebea3e97054f1727e61f76b2d11af5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9ebea3e97054f1727e61f76b2d11af5">&#9670;&#160;</a></span>WAVEEFFECTEX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">WAVEEFFECTEX</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00020">20</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="a2908e4ce19860621afac35b8d25a99aa" name="a2908e4ce19860621afac35b8d25a99aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2908e4ce19860621afac35b8d25a99aa">&#9670;&#160;</a></span>WAVEENVIRONMENT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">WAVEENVIRONMENT</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00024">24</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="a094a43660b3c98486c9173c3d078e55a" name="a094a43660b3c98486c9173c3d078e55a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a094a43660b3c98486c9173c3d078e55a">&#9670;&#160;</a></span>WAVEENVIRONMENTEX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">WAVEENVIRONMENTEX</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00025">25</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="ae872bf8eb0d09d21e068fd7552cc4702" name="ae872bf8eb0d09d21e068fd7552cc4702"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae872bf8eb0d09d21e068fd7552cc4702">&#9670;&#160;</a></span>WAVEMUSIC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">WAVEMUSIC</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00022">22</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="ae1e693d8514c56fa1142aa2efb3d4361" name="ae1e693d8514c56fa1142aa2efb3d4361"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1e693d8514c56fa1142aa2efb3d4361">&#9670;&#160;</a></span>WAVESPEECH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">WAVESPEECH</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00021">21</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="acfa8baee3541dfb527e26bd183e95ea6" name="acfa8baee3541dfb527e26bd183e95ea6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfa8baee3541dfb527e26bd183e95ea6">&#9670;&#160;</a></span>WAVESPEECHEX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">WAVESPEECHEX</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00023">23</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="a9e1e6702d8a91f364f9ad8f8b84890f9" name="a9e1e6702d8a91f364f9ad8f8b84890f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e1e6702d8a91f364f9ad8f8b84890f9">&#9670;&#160;</a></span>WAVEUI</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">WAVEUI</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00029">29</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="a5a0052369c6e9a31cd9bffde337e5d5e" name="a5a0052369c6e9a31cd9bffde337e5d5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a0052369c6e9a31cd9bffde337e5d5e">&#9670;&#160;</a></span>WAVEWEAPONS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">WAVEWEAPONS</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00026">26</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="a393c9d184c3da1bfa48c9403f274911a" name="a393c9d184c3da1bfa48c9403f274911a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a393c9d184c3da1bfa48c9403f274911a">&#9670;&#160;</a></span>WAVEWEAPONSEX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">WAVEWEAPONSEX</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00027">27</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../d1/d13/_sound_8c.html">Sound.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
